Strumento di diagnostica DirectX

La documentazione relativa allo Strumento di diagnostica Microsoft® DirectX® include i seguenti argomenti:

  • Informazioni sullo strumento di diagnostica DirectX
  • Controlli consigliati
  • Verifica funzionale dei componenti DirectX
  • Modifica delle funzionalità predefinite


Informazioni sullo strumento di diagnostica DirectX

Lo strumento di diagnostica Microsoft® DirectX® fornisce informazioni relative ai componenti e ai driver dell'API (interfaccia di programmazione delle applicazioni, Application Programming Interface) DirectX presenti nel sistema. Consente di eseguire test della qualità di audio e grafica e dei provider di servizi Microsoft DirectPlay®. Grazie a questo strumento è inoltre possibile disattivare alcune funzionalità di accelerazione hardware.

È possibile utilizzare questo strumento di diagnostica per raccogliere informazioni da fornire telefonicamente a un responsabile dei servizi di supporto tecnico. È inoltre possibile salvare queste informazioni e inserirle in un messaggio di posta elettronica.

Le informazioni sono presentate in una serie di schede. Per passare da una scheda all'altra, utilizzare uno dei metodi seguenti:

  • Fare clic sulle schede.
  • Fare clic sul pulsante Successiva.
  • Selezionare una scheda e premere il tasto freccia SINISTRA o freccia DESTRA.

È possibile specificare la modalità di visualizzazione desiderata per le tabelle. A tale scopo, scegliere la colonna in base alla quale si desidera ordinare le righe della tabella. Fare clic sul pulsante di intestazione nella parte superiore della colonna in modo che la tabella venga ordinata in ordine alfabetico o numerico a seconda degli elementi della colonna stessa. Per invertire l'ordine, fare nuovamente clic sul pulsante di intestazione.

Il pulsante Salva tutte le informazioni consente di salvare tutte le informazioni in un file di testo.

Nota

  • È possibile che alcune informazioni, ad esempio la quantità di memoria disponibile in una scheda video, siano approssimative.


Controlli consigliati

Se durante l'esecuzione delle applicazioni Microsoft® DirectX® si verificano problemi, sarà possibile individuarne la causa grazie allo strumento di diagnostica DirectX. Di seguito viene fornito un elenco delle informazioni da cercare:

  • Versioni non corrette dei componenti DirectX. Nel gruppo Note della scheda File DirectX cercare i messaggi di avviso relativi ai file beta e di debug. I file beta sono versioni di prova preliminari che non dovrebbero essere installate con le versioni finali. I file di debug sono versioni utilizzate nello sviluppo dei programmi e non dovrebbero ugualmente essere installati con il prodotto finale poiché rallentano notevolmente l'esecuzione delle applicazioni.
  • Accelerazione hardware insufficiente. Se l'accelerazione hardware di Microsoft DirectDraw® o Direct3D® non è disponibile, l'esecuzione di alcuni programmi risulterà molto lenta o addirittura impossibile. Nella casella di gruppo Funzionalità DirectX della scheda Schermo verificare se la voce DirectDraw, Direct3D o Accelerazione trama AGP è contrassegnata come "Non disponibile". In caso affermativo, si consiglia di aggiornare l'hardware in uso.
  • Periferica non collegata. Se un joystick o un'altra periferica di input non risponde, è possibile che sia configurata in modo non corretto. Accertarsi che la periferica sia elencata nella scheda Input dello strumento di diagnostica DirectX. Se non è elencata, aggiungerla utilizzando il Pannello di controllo.
  • Driver non firmati. Microsoft non ha ancora eseguito test sui driver non firmati per verificarne la totale compatibilità con la versione più recente di DirectX. Questi driver sono elencati nella scheda dei componenti appropriata.

Nota: Se si utilizza Servizi terminal per lavorare su un sistema remoto che supporta l'accelerazione hardware, lo strumento di diagnostica DirectX potrebbe rilevare tale supporto. Tuttavia, Servizi terminal non è in grado di utilizzare l'accelerazione hardware, di conseguenza il supporto non è in effetti disponibile.


Verifica funzionale dei componenti DirectX

È possibile eseguire la verifica funzionale di Microsoft® DirectDraw® e Direct3D® per ogni monitor collegato al sistema in uso. È inoltre possibile eseguire verifiche funzionali di DirectSound® per ogni periferica Wave di output e di DirectMusic® per ogni porta per periferiche musicali.

Per eseguire la verifica di una funzionalità DirectX, fare clic sul pulsante Test nella scheda appropriata, leggere i messaggi visualizzati e osservare o ascoltare i test. Eseguire ogni test fino alla visualizzazione di un messaggio in cui viene richiesto se il test è stato completato correttamente. Se si risponde No non verranno eseguiti ulteriori test.

Per DirectMusic viene eseguito un unico test. Fare clic su OK per interrompere la riproduzione della musica indipendentemente dal fatto che sia stata riprodotta correttamente o meno.

È possibile eseguire il test della funzionalità di Microsoft DirectPlay® su un qualsiasi provider di servizi disponibile.

Per eseguire la verifica funzionale di DirectPlay

  1. Nella scheda Rete fare clic su Test DirectPlay. Nella finestra di dialogo Test DirectPlay digitare un nome utente e selezionare un provider di servizi. Selezionare Crea nuova sessione e fare clic su OK. Se è stata selezionata una connessione modem, fare clic su Rispondi nella finestra di dialogo Connessione modem per attivare la modalità di risposta automatica del modem.
  2. Eseguire lo strumento di diagnostica Microsoft DirectX® su un altro computer in grado di stabilire con il primo computer la connessione selezionata. Fare clic su Test DirectPlay, digitare un nome utente diverso, scegliere lo stesso provider di servizi, fare clic sul pulsante Partecipa a sessione esistente e infine fare clic su OK.

    Per alcuni tipi di connessione potrebbe essere necessario fornire ulteriori informazioni, ad esempio un numero di telefono. Per una connessione TCP/IP in una rete locale, è possibile lasciare vuota la casella di testo.

  3. Nel secondo computer, nella finestra di dialogo Elenco sessioni contenente il nome della sessione creata nel primo computer, selezionare il nome della sessione e quindi fare clic su OK.
  4. In entrambi i computer dovrebbe essere visualizzata una finestra di dialogo di chat. Digitare un messaggio nella casella di input di uno dei computer e fare clic su Invia. Il messaggio dovrebbe essere visualizzato nell'area di scorrimento della finestra di dialogo di chat in entrambi i computer.


Modifica delle funzionalità predefinite

Nella scheda Audio è possibile impostare un livello di accelerazione hardware diverso spostando il dispositivo di scorrimento. Tale impostazione rimane attiva anche dopo la chiusura dello strumento di diagnostica Microsoft® DirectX®.

È possibile disattivare l'accelerazione hardware per Microsoft DirectDraw® o Direct3D®, se tale accelerazione è disponibile. A tale scopo, passare alla scheda Schermo di ogni periferica di visualizzazione e fare clic sul pulsante Disattiva. Dopo la disattivazione, l'accelerazione hardware non sarà disponibile per alcuna applicazione, anche dopo aver chiuso lo strumento di diagnostica DirectX. Per riattivare l'accelerazione hardware, fare clic sul pulsante Attiva nella scheda Schermo appropriata.

Nota

  • Se si disattiva l'accelerazione per DirectDraw, viene disattivata anche l'accelerazione per Direct3D.

È inoltre possibile impostare diversamente la frequenza di aggiornamento del monitor impostata dalle applicazioni a schermo intero DirectDraw. Si consiglia di eseguire questa operazione solo se si verificano problemi di visualizzazione con un'applicazione e vi sono fondati motivi per credere che l'applicazione imposti una frequenza di aggiornamento non corretta.

Per impostare una frequenza di aggiornamento diversa

  1. Nella scheda Altri argomenti fare clic su Sostituisci.
  2. Nella finestra di dialogo Sostituisci frequenza di aggiornamento di DirectDraw selezionare la casella di testo e immettere una frequenza di aggiornamento valida per il monitor in uso.

    Quando si esegue tale operazione, il pulsante di opzione Sostituisci con viene selezionato automaticamente.

  3. Fare clic su OK.

Per annullare la modifica in modo che la frequenza di aggiornamento venga impostata automaticamente dalle applicazioni DirectDraw

  1. Nella scheda Altri argomenti fare clic su Sostituisci.
  2. Nella finestra di dialogo Sostituisci frequenza di aggiornamento di DirectDraw selezionare il pulsante di opzione Impostazioni predefinite e quindi fare clic su OK.